Page MenuHomePhabricator

Language codes din and smj are listed in multiple files
Closed, ResolvedPublic

Description

This is probably very minor, but according to https://phabricator.wikimedia.org/source/mediawiki/browse/master/languages/data/Names.php, https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php#L17369 and https://github.com/wikimedia/mediawiki-extensions-Wikibase/blob/master/repo/includes/WikibaseRepo.php#L1803, din and smj are listed in multiple places when they shouldn't need to be.

din has been added to Names.php now, so it's probably redundant to list it as an extra language in wmgExtraLanguageNames.

smj is in wmgExtraLanguageNames, so it doesn't also need to be in getMonolingualTextLanguages.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemove 'din' from wmgExtraLanguageNames
mediawiki/extensions/Wikibase : masterRemove 'smj' from getMonolingualTextLanguages

Event Timeline

Nikki created this task.Jun 21 2017, 12:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2017, 12:48 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 28 2017, 7:06 PM

Change 362875 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/Wikibase@master] Remove 'smj' from getMonolingualTextLanguages

https://gerrit.wikimedia.org/r/362875

Change 362876 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[operations/mediawiki-config@master] Remove 'din' from wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/362876

Change 362875 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove 'smj' from getMonolingualTextLanguages

https://gerrit.wikimedia.org/r/362875

@Nikki, how about this change? https://gerrit.wikimedia.org/r/362876. This has been merged: https://gerrit.wikimedia.org/r/362875. But the former is still pending review.

Change 362876 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove 'din' from wmgExtraLanguageNames

https://gerrit.wikimedia.org/r/362876

Mentioned in SAL (#wikimedia-operations) [2017-07-19T18:40:16Z] <niharika29@tin> Synchronized wmf-config/InitialiseSettings.php: Remove 'din' from wmgExtraLanguageNames [mediawiki-config] - https://gerrit.wikimedia.org/r/362876 (https://phabricator.wikimedia.org/T168523) (duration: 00m 47s)

@Nikki, can this be marked as resolved?

Yes, it looks like it's fixed.

Ladsgroup closed this task as Resolved.Jul 20 2017, 10:35 AM
Ladsgroup removed a project: Patch-For-Review.
Ladsgroup added a subscriber: Ladsgroup.

Thanks!